Skip to main content
POST
/
agency
/
source
/
{sourceId}
/
custom-channels
cURL
curl --request POST \
  --url https://api.closebot.com/agency/source/{sourceId}/custom-channels \
  --header 'Content-Type: application/json' \
  --header 'X-CB-KEY: <api-key>' \
  --data '
{
  "friendlyName": "<string>",
  "provider": "<string>",
  "uniqueId": "<string>",
  "authToken": "<string>",
  "refreshToken": "<string>",
  "expiration": "2023-11-07T05:31:56Z"
}
'
{
  "id": "<string>",
  "sourceId": "<string>",
  "friendlyName": "<string>",
  "provider": "<string>",
  "uniqueId": "<string>",
  "authToken": "<string>",
  "expiration": "2023-11-07T05:31:56Z"
}

Authorizations

X-CB-KEY
string
header
required

CloseBot API Key Authorization

Path Parameters

sourceId
string
required

Body

friendlyName
string | null
provider
string | null
uniqueId
string | null
authToken
string | null
refreshToken
string | null
expiration
string<date-time> | null

Response

Success

id
string | null
sourceId
string | null
friendlyName
string | null
provider
string | null
uniqueId
string | null
authToken
string | null
expiration
string<date-time> | null